## golang-github-containerd-btrfs 0.0~git20180306.2e1aa0d

=== Makefile ===

.PHONY: clean binaries generate lint vet test
all: vet lint test binaries

binaries: bin/btrfs-test

vet:
	go vet ./...

lint:
	golint ./...

test:
	go test -v ./...

bin/%: ./cmd/% *.go
	go build -o ./$@ ./$<

clean:
	rm -rf bin/*

## golang-github-containerd-btrfs 0.0~git20171005.72c0a35

=== debian/changelog ===
golang-github-containerd-btrfs (0.0~git20171005.72c0a35-1) unstable; urgency=medium

  * Initial release (Closes: #890989)

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Wed, 21 Feb 2018 18:22:01 +0700

=== debian/control ===
Source: golang-github-containerd-btrfs
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Arnaud Rebillout <arnaud.rebillout@collabora.com>
Build-Depends: btrfs-progs,
               debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-pkg-errors-dev
Standards-Version: 4.1.3
Homepage: https://github.com/containerd/btrfs
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containerd-btrfs
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containerd-btrfs.git
XS-Go-Import-Path: github.com/containerd/btrfs
Testsuite: autopkgtest-pkg-go

Package: golang-github-containerd-btrfs-dev
Architecture: all
Depends: ${misc:Depends},
         btrfs-progs,
         golang-github-pkg-errors-dev
Description: Btrfs bindings for Go
 Native Go bindings for btrfs.
 .
 These are in the early stages.
 .
 This package may not cover all the use cases for btrfs. Note that due to
 struct alignment issues, this isn't yet fully native.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-containerd-btrfs-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/containerd/btrfs/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-containerd-btrfs 0.0~git20180306.2e1aa0d

=== debian/changelog ===
golang-github-containerd-btrfs (0.0~git20180306.2e1aa0d-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
    + fixes FTBFS "constant 18446744073709551616 overflows _Ctype_ulonglong".
  * watch: to version 4; mode=git.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 26 Jul 2018 13:04:20 +1000

golang-github-containerd-btrfs (0.0~git20171005.72c0a35-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update build-dependencies to use the new libbtrfs-dev package. (Closes: #898874)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 16 May 2018 14:08:35 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Arnaud Rebillout <arnaud.rebillout@collabora.com>
-Build-Depends: btrfs-progs,
+Build-Depends: libbtrfs-dev | btrfs-progs (<< 4.16.1~),
                debhelper (>= 11),
                dh-golang,
                golang-any,
@@ -18,7 +18,7 @@
 Package: golang-github-containerd-btrfs-dev
 Architecture: all
 Depends: ${misc:Depends},
-         btrfs-progs,
+         libbtrfs-dev | btrfs-progs (<< 4.16.1~),
          golang-github-pkg-errors-dev
 Description: Btrfs bindings for Go
  Native Go bindings for btrfs.

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
mode=git,gitmode=shallow,date=%Y%m%d,pretty=0.0~git%cd.%h,\
repack,compression=xz,\
" https://github.com/containerd/btrfs.git \
  heads/master

## golang-github-containerd-btrfs 0.0~git20200117.1539353

=== debian/changelog ===
golang-github-containerd-btrfs (0.0~git20200117.1539353-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.0~git20200117.1539353
  * Remove unused Files-Excluded in copyright file
  * Simplify uscan watch file
  * Update maintainers address to team+pkg-go@tracker.debian.org
  * Update debhelper compat to 12
  * Update tandards-Version to 4.4.1 (no changes)
  * Add Rules-Requires-Root

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 17 Jan 2020 12:13:17 +0800

=== debian/control ===
Source: golang-github-containerd-btrfs
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Arnaud Rebillout <arnaud.rebillout@collabora.com>,
Build-Depends: debhelper-compat (= 12),
               libbtrfs-dev | btrfs-progs (<< 4.16.1~),
               dh-golang,
               golang-any,
               golang-github-pkg-errors-dev
Standards-Version: 4.4.1
Homepage: https://github.com/containerd/btrfs
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containerd-btrfs
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containerd-btrfs.git
XS-Go-Import-Path: github.com/containerd/btrfs
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go

Package: golang-github-containerd-btrfs-dev
Architecture: all
Depends: golang-github-pkg-errors-dev,
         libbtrfs-dev | btrfs-progs (<< 4.16.1~),
         ${misc:Depends},
Description: Btrfs bindings for Go
 Native Go bindings for btrfs.
 .
 These are in the early stages.
 .
 This package may not cover all the use cases for btrfs. Note that due to
 struct alignment issues, this isn't yet fully native.

## golang-github-containerd-btrfs 0.0~git20201111.404b914

=== debian/changelog ===
golang-github-containerd-btrfs (0.0~git20201111.404b914-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.

  [ Shengjing Zhu ]
  * New upstream snapshot
  * Exclude vendor dir in upstream tarball
  * Bump Standards-Version to 4.5.1 (no changes)
  * Bump debhelper-compat to 13

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 26 Nov 2020 00:31:28 +0800

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Arnaud Rebillout <arnaud.rebillout@collabora.com>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libbtrfs-dev | btrfs-progs (<< 4.16.1~),
                dh-golang,
                golang-any,
                golang-github-pkg-errors-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/containerd/btrfs
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containerd-btrfs
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containerd-btrfs.git

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="mode=git, pgpmode=none" \
https://github.com/containerd/btrfs.git \
HEAD

## golang-github-containerd-btrfs 1.0.0

=== debian/changelog ===
golang-github-containerd-btrfs (1.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.0.0
  * Update Standards-Version to 4.6.0 (no changes)
  * Update Section to golang

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 10 Oct 2021 01:29:58 +0800

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: golang-github-containerd-btrfs
-Section: devel
+Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Arnaud Rebillout <arnaud.rebillout@collabora.com>,
@@ -8,7 +8,7 @@
                dh-golang,
                golang-any,
                golang-github-pkg-errors-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/containerd/btrfs
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containerd-btrfs
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containerd-btrfs.git

=== debian/rules ===
#!/usr/bin/make -f

# Right now, cmd only provides a 'btrfs-test' binary.
# We want to ship only the library here, so we exclude this test.
export DH_GOLANG_EXCLUDES := cmd/btrfs-test

%:
	dh $@ --buildsystem=golang --with=golang

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/containerd/btrfs \
  refs/tags/v?@ANY_VERSION@ debian

## golang-github-containerd-btrfs 2.0.0

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,17 @@
+#   Copyright The containerd Authors.
+
+#   Licensed under the Apache License, Version 2.0 (the "License");
+#   you may not use this file except in compliance with the License.
+#   You may obtain a copy of the License at
+
+#       http://www.apache.org/licenses/LICENSE-2.0
+
+#   Unless required by applicable law or agreed to in writing, software
+#   distributed under the License is distributed on an "AS IS" BASIS,
+#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+#   See the License for the specific language governing permissions and
+#   limitations under the License.
+
 
 .PHONY: clean binaries generate lint vet test
 all: vet lint test binaries

=== debian/changelog ===
golang-github-containerd-btrfs (2.0.0-2) unstable; urgency=medium

  * Team upload
  * Upload changes from experimental to unstable
  * Update Standards-Version to 4.7.0 in d/control (no changes needed)

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 25 Jul 2024 11:34:15 +0000

golang-github-containerd-btrfs (2.0.0-1) experimental; urgency=medium

  * Team upload
  * New upstream version 2.0.0
  * build depend on golang-golang-x-sys-dev

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 14 Jun 2024 19:36:31 -0400

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Arnaud Rebillout <arnaud.rebillout@collabora.com>,
+Uploaders: Arnaud Rebillout <arnaud.rebillout@collabora.com>
 Build-Depends: debhelper-compat (= 13),
-               libbtrfs-dev | btrfs-progs (<< 4.16.1~),
                dh-golang,
                golang-any,
-               golang-github-pkg-errors-dev
-Standards-Version: 4.6.0
+               golang-github-pkg-errors-dev,
+               golang-golang-x-sys-dev,
+               libbtrfs-dev | btrfs-progs (<< 4.16.1~)
+Standards-Version: 4.7.0
 Homepage: https://github.com/containerd/btrfs
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containerd-btrfs
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containerd-btrfs.git
@@ -19,8 +20,9 @@
 Package: golang-github-containerd-btrfs-dev
 Architecture: all
 Depends: golang-github-pkg-errors-dev,
+         golang-golang-x-sys-dev,
          libbtrfs-dev | btrfs-progs (<< 4.16.1~),
-         ${misc:Depends},
+         ${misc:Depends}
 Description: Btrfs bindings for Go
  Native Go bindings for btrfs.
  .
